Scheduler Webhooks
- OpenAPI Version:
3.1.1 - API Version:
1.0.0
Scheduler webhooks allow developers to receive events for Scheduler.
Servers
- URL:
https://{your-endpoint-url}
Operations
scheduler.scheduled_event_created
- Method:
POST - Path:
scheduler.scheduled_event_created - Tags: webhooks
The Scheduled event created event triggers each time one user schedules an event with the scheduler host through the public booking page.
Prerequisites
Enable Event subscriptions for your Marketplace app with:
- A valid Event notification endpoint URL.
- The Scheduled event created subscription enabled under the Scheduler event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event was created.payload(required)objectaccount_idstring— The account ID of the scheduled event host.objectobject— The event information.createdstring— The moment the scheduled request was created.invitee_emailstring— The email address of the invitee who scheduled the event.invitee_first_namestring— The first name of the invitee who scheduled the event.invitee_idstring— The unique identifier of the invitee record.invitee_last_namestring— The last name of the invitee who scheduled the event.manage_urlstring— The URL for the user to reschedule or cancel the scheduled event.questions_and_answersarray— The collection of questions and answers from the booking form.Items: answer(required)array— The answers to the question.Items: string— The answer to the question.position(required)integer— The index of the question.question(required)string— The question from the booking page.
rescheduledboolean— Indicates whether this is from a reschedule request.rescheduled_from_event_idstring— The unique identifier of the event from which this invitee was rescheduled.rescheduled_from_invitee_idstring— The unique identifier of the invitee record associated with the event from which this invitee was rescheduled.scheduled_eventobject— The scheduled event information.attendeesarray— The attendees of the event.Items: display_namestring— The attendee's name.emailstring— The attendee's email address.
createdstring— The moment the scheduled event was created.end_date_timestring— The scheduled event's end date and time.event_idstring— The unique identifier of the event.external_locationobject— The meeting details in the scheduled event.guestsarray— The collection of guests.Items: string— The guest's email address.invitee_countersobject— The event's guest counters.activeinteger, format:int64— The count of active invitees in the event.limitinteger, format:int64— The maximum number of invitees allowed for the event.totalinteger, format:int64— The total count of invitees in the event.
locationobjectlocation_kindstring, possible values:"custom", "in-person_meeting", "outbound_call", "inbound_call", "invitee_specified", "zoom", "google_meet", "microsoft_teams"— Unified location type for both location and external_location objects. If location type is online meeting, location info is in external_location object. If not, location info is in location object.meeting_notesstring— The scheduled event's meeting notes.start_date_timestring— The scheduled event's start date and time.statusstring, possible values:"confirmed", "cancelled"— The event status: confirmed or cancelled.summarystring— The schedule name.updatedstring— The moment the scheduled event was updated.
text_phone_numberstring— The phone number of the invitee to receive text reminders.time_zonestring— The user's time zone.trackingobject— The information to track the invitee source. This field is present when UTM parameters or Salesforce IDs are added.salesforce_idsarray— The tracking of Salesforce IDs.Items: utm_campaignstring— This field identifies a specific product promotion or strategic campaign.utm_contentstring— This field identifies what specifically was clicked to bring the user to the site, such as a banner ad or a text link. It is often used for A/B testing and content-targeted ads.utm_mediumstring— This field identifies what type of link was used, such as pay-per-click or email.utm_sourcestring— This field identifies which site sent the traffic and is a required parameter.utm_termstring— This field identifies the search terms.
user_idstring— The user ID of the scheduled event host.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"user_id": "",
"object": {
"invitee_email": "example@example.com",
"invitee_first_name": "John",
"invitee_last_name": "Doe",
"invitee_id": "61mzpk6irznpqc5yfkcnafyse7",
"rescheduled_from_event_id": "t36axo1tnxvyte5w35x4zht964",
"rescheduled_from_invitee_id": "t36axo1tnxvyte5w35x4zht964",
"manage_url": "https://scheduler.zoom.us/manage/m0o1uf25uq89wllenxxxxxxxxxxxx",
"time_zone": "Asia/Shanghai",
"questions_and_answers": [
{
"question": "Please share anything that will help prepare for our meeting.",
"position": 1,
"answer": [
""
]
}
],
"scheduled_event": {
"event_id": "woft7torlatbw8ek24bmit5k60",
"attendees": [
{
"display_name": "bob",
"email": "abc@zoom.us"
}
],
"invitee_counters": {
"total": 1,
"active": 1,
"limit": 1
},
"end_date_time": "2023-12-21T16:30:00Z",
"guests": [
"tom@zoom.us"
],
"location_kind": "zoom",
"external_location": {
"kind": "zoom",
"meeting_id": "94777886776",
"personal_meeting_id": "98656786887",
"meeting_passcode": "958000",
"meeting_description": "Invite you to meeting",
"meeting_join_url": "https://zoom.us/j/7427752805"
},
"start_date_time": "2023-12-21T16:00:00Z",
"status": "confirmed",
"summary": "daily meeting",
"updated": "2023-12-21T06:18:32.087Z",
"created": "2023-12-21T06:18:32.087Z",
"meeting_notes": "meeting notes"
},
"tracking": {
"utm_source": "zoom",
"utm_medium": "pay-per-clik",
"utm_campaign": "spring_sale",
"utm_content": "schedule link",
"utm_term": "learning",
"salesforce_ids": [
{}
]
},
"rescheduled": true,
"created": "2023-12-21T06:18:32.087Z",
"text_phone_number": "+1 83798773"
}
}
}Responses
Status: 200 Successfully received the webhook event.
scheduler.scheduled_event_canceled
- Method:
POST - Path:
scheduler.scheduled_event_canceled - Tags: webhooks
The Scheduled event canceled event triggers each time the host or booker cancels the scheduled event.
Prerequisites
Enable Event subscriptions for your Marketplace app with:
- A valid Event notification endpoint URL.
- The Scheduled event canceled subscription enabled under the Scheduler event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event was created.payload(required)objectaccount_idstring— The account ID of the scheduled event host.objectobject— The information about the event.cancellationobject— The scheduled event cancellation information.cancel_atstring— The date and time when this scheduled event was canceled.canceled_bystring— The name or email address of the canceler.canceler_typestring, possible values:"host", "invitee"— The user type of the person who canceled.reasonstring— The reason for canceling this scheduled event.
createdstring— The moment the scheduled request was created.invitee_emailstring— The email address of the invitee who scheduled the event.invitee_first_namestring— The first name of the invitee who scheduled the event.invitee_idstring— The unique identifier of the invitee record.invitee_last_namestring— The last name of the invitee who scheduled the event.manage_urlstring— The URL for the user to reschedule or cancel the scheduled event.questions_and_answersarray— All questions and answers.Items: answer(required)array— The answers to the question.Items: string— The answer to the question.position(required)integer— The index of the question.question(required)string— The question on the booking page.
rescheduledboolean— Whether it's from a reschedule request.rescheduled_to_event_idstring— The unique identifier of the event that this invitee was rescheduled to.rescheduled_to_invitee_idstring— The unique identifier of the invitee record associated with the event that this invitee was rescheduled to.scheduled_eventobject— The information about the scheduled event.attendeesarray— The hosts of the scheduled event.Items: display_namestring— The attendee's name.emailstring— The attendee's email address.
createdstring— The moment the scheduled event was created.end_date_timestring— The scheduled event's end date and time.event_idstring— The unique identifier of the event.external_locationobject— The meeting details in the scheduled event.guestsarray— The collection of guests.Items: string— The guest's email address.invitee_countersobject— The event's guest counters.activeinteger, format:int64— The count of active invitees in the event.limitinteger, format:int64— The maximum limit of invitees in the event.totalinteger, format:int64— The total count of invitees in the event.
locationobjectlocation_kindstring, possible values:"custom", "in-person_meeting", "outbound_call", "inbound_call", "invitee_specified", "zoom", "google_meet", "microsoft_teams"— Unified location type for both location and external_location objects. If location type is online meeting, location info is in external_location object. If not, location info is in location object.meeting_notesstring— The meeting notes for the scheduled event.start_date_timestring— The scheduled event's start date and time.statusstring, possible values:"confirmed", "cancelled"— The status of the event: confirmed or cancelled.summarystring— The name of the schedule.updatedstring— The moment the scheduled event was updated.
text_phone_numberstring— The phone number of the invitee to receive text reminders.time_zonestring— The user's time zone.trackingobject— The information to track the source of the invitee.salesforce_idsarray— The tracking of Salesforce IDs.Items: utm_campaignstring— This field identifies a specific product promotion or strategic campaign.utm_contentstring— This field identifies what specifically was clicked to bring the user to the site, such as a banner ad or a text link. It is often used for A/B testing and content-targeted ads.utm_mediumstring— This field identifies what type of link was used, such as pay-per-click or email.utm_sourcestring— This field identifies which site sent the traffic, and is a required parameter.utm_termstring— This field identifies search terms.
user_idstring— The user ID of the scheduled event host.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"user_id": "",
"object": {
"invitee_email": "example@example.com",
"invitee_first_name": "John",
"invitee_last_name": "Doe",
"invitee_id": "61mzpk6irznpqc5yfkcnafyse7",
"rescheduled_to_event_id": "t36axo1tnxvyte5w35x4zht964",
"rescheduled_to_invitee_id": "t36axo1tnxvyte5w35x4zht964",
"manage_url": "https://scheduler.zoom.us/manage/m0o1uf25uq89wllenxxxxxxxxxxxx",
"cancellation": {
"canceled_by": "aa@bb.c",
"canceler_type": "host",
"cancel_at": "2023-12-21T16:30:00+08:00",
"reason": "Time conflict"
},
"time_zone": "Asia/Shanghai",
"questions_and_answers": [
{
"question": "Please share anything that will help prepare for our meeting.",
"position": 1,
"answer": [
""
]
}
],
"scheduled_event": {
"event_id": "woft7torlatbw8ek24bmit5k60",
"attendees": [
{
"display_name": "bob",
"email": "abc@zoom.us"
}
],
"invitee_counters": {
"total": 1,
"active": 1,
"limit": 1
},
"end_date_time": "2023-12-21T16:30:00Z",
"guests": [
"tom@zoom.us"
],
"location_kind": "zoom",
"external_location": {
"kind": "zoom",
"meeting_id": "94777886776",
"personal_meeting_id": "98656786887",
"meeting_passcode": "958000",
"meeting_description": "Invite you to meeting",
"meeting_join_url": "https://zoom.us/j/7427752805"
},
"start_date_time": "2023-12-21T16:00:00Z",
"status": "confirmed",
"summary": "daily meeting",
"updated": "2023-12-21T06:18:32.087Z",
"created": "2023-12-21T06:18:32.087Z",
"meeting_notes": "meeting notes"
},
"tracking": {
"utm_source": "zoom",
"utm_medium": "pay-per-clik",
"utm_campaign": "spring_sale",
"utm_content": "schedule link",
"utm_term": "learning",
"salesforce_ids": [
{}
]
},
"rescheduled": true,
"created": "2023-12-21T06:18:32.087Z",
"text_phone_number": "+1 83798773"
}
}
}Responses
Status: 200 Successfully received the webhook event.
Schemas
Scheduler.scheduled_event_createdEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event was created.payload(required)objectaccount_idstring— The account ID of the scheduled event host.objectobject— The event information.createdstring— The moment the scheduled request was created.invitee_emailstring— The email address of the invitee who scheduled the event.invitee_first_namestring— The first name of the invitee who scheduled the event.invitee_idstring— The unique identifier of the invitee record.invitee_last_namestring— The last name of the invitee who scheduled the event.manage_urlstring— The URL for the user to reschedule or cancel the scheduled event.questions_and_answersarray— The collection of questions and answers from the booking form.Items: answer(required)array— The answers to the question.Items: string— The answer to the question.position(required)integer— The index of the question.question(required)string— The question from the booking page.
rescheduledboolean— Indicates whether this is from a reschedule request.rescheduled_from_event_idstring— The unique identifier of the event from which this invitee was rescheduled.rescheduled_from_invitee_idstring— The unique identifier of the invitee record associated with the event from which this invitee was rescheduled.scheduled_eventobject— The scheduled event information.attendeesarray— The attendees of the event.Items: display_namestring— The attendee's name.emailstring— The attendee's email address.
createdstring— The moment the scheduled event was created.end_date_timestring— The scheduled event's end date and time.event_idstring— The unique identifier of the event.external_locationobject— The meeting details in the scheduled event.guestsarray— The collection of guests.Items: string— The guest's email address.invitee_countersobject— The event's guest counters.activeinteger, format:int64— The count of active invitees in the event.limitinteger, format:int64— The maximum number of invitees allowed for the event.totalinteger, format:int64— The total count of invitees in the event.
locationobjectlocation_kindstring, possible values:"custom", "in-person_meeting", "outbound_call", "inbound_call", "invitee_specified", "zoom", "google_meet", "microsoft_teams"— Unified location type for both location and external_location objects. If location type is online meeting, location info is in external_location object. If not, location info is in location object.meeting_notesstring— The scheduled event's meeting notes.start_date_timestring— The scheduled event's start date and time.statusstring, possible values:"confirmed", "cancelled"— The event status: confirmed or cancelled.summarystring— The schedule name.updatedstring— The moment the scheduled event was updated.
text_phone_numberstring— The phone number of the invitee to receive text reminders.time_zonestring— The user's time zone.trackingobject— The information to track the invitee source. This field is present when UTM parameters or Salesforce IDs are added.salesforce_idsarray— The tracking of Salesforce IDs.Items: utm_campaignstring— This field identifies a specific product promotion or strategic campaign.utm_contentstring— This field identifies what specifically was clicked to bring the user to the site, such as a banner ad or a text link. It is often used for A/B testing and content-targeted ads.utm_mediumstring— This field identifies what type of link was used, such as pay-per-click or email.utm_sourcestring— This field identifies which site sent the traffic and is a required parameter.utm_termstring— This field identifies the search terms.
user_idstring— The user ID of the scheduled event host.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"user_id": "",
"object": {
"invitee_email": "example@example.com",
"invitee_first_name": "John",
"invitee_last_name": "Doe",
"invitee_id": "61mzpk6irznpqc5yfkcnafyse7",
"rescheduled_from_event_id": "t36axo1tnxvyte5w35x4zht964",
"rescheduled_from_invitee_id": "t36axo1tnxvyte5w35x4zht964",
"manage_url": "https://scheduler.zoom.us/manage/m0o1uf25uq89wllenxxxxxxxxxxxx",
"time_zone": "Asia/Shanghai",
"questions_and_answers": [
{
"question": "Please share anything that will help prepare for our meeting.",
"position": 1,
"answer": [
""
]
}
],
"scheduled_event": {
"event_id": "woft7torlatbw8ek24bmit5k60",
"attendees": [
{
"display_name": "bob",
"email": "abc@zoom.us"
}
],
"invitee_counters": {
"total": 1,
"active": 1,
"limit": 1
},
"end_date_time": "2023-12-21T16:30:00Z",
"guests": [
"tom@zoom.us"
],
"location_kind": "zoom",
"external_location": {
"kind": "zoom",
"meeting_id": "94777886776",
"personal_meeting_id": "98656786887",
"meeting_passcode": "958000",
"meeting_description": "Invite you to meeting",
"meeting_join_url": "https://zoom.us/j/7427752805"
},
"start_date_time": "2023-12-21T16:00:00Z",
"status": "confirmed",
"summary": "daily meeting",
"updated": "2023-12-21T06:18:32.087Z",
"created": "2023-12-21T06:18:32.087Z",
"meeting_notes": "meeting notes"
},
"tracking": {
"utm_source": "zoom",
"utm_medium": "pay-per-clik",
"utm_campaign": "spring_sale",
"utm_content": "schedule link",
"utm_term": "learning",
"salesforce_ids": [
{}
]
},
"rescheduled": true,
"created": "2023-12-21T06:18:32.087Z",
"text_phone_number": "+1 83798773"
}
}
}Scheduler.scheduled_event_canceledEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event was created.payload(required)objectaccount_idstring— The account ID of the scheduled event host.objectobject— The information about the event.cancellationobject— The scheduled event cancellation information.cancel_atstring— The date and time when this scheduled event was canceled.canceled_bystring— The name or email address of the canceler.canceler_typestring, possible values:"host", "invitee"— The user type of the person who canceled.reasonstring— The reason for canceling this scheduled event.
createdstring— The moment the scheduled request was created.invitee_emailstring— The email address of the invitee who scheduled the event.invitee_first_namestring— The first name of the invitee who scheduled the event.invitee_idstring— The unique identifier of the invitee record.invitee_last_namestring— The last name of the invitee who scheduled the event.manage_urlstring— The URL for the user to reschedule or cancel the scheduled event.questions_and_answersarray— All questions and answers.Items: answer(required)array— The answers to the question.Items: string— The answer to the question.position(required)integer— The index of the question.question(required)string— The question on the booking page.
rescheduledboolean— Whether it's from a reschedule request.rescheduled_to_event_idstring— The unique identifier of the event that this invitee was rescheduled to.rescheduled_to_invitee_idstring— The unique identifier of the invitee record associated with the event that this invitee was rescheduled to.scheduled_eventobject— The information about the scheduled event.attendeesarray— The hosts of the scheduled event.Items: display_namestring— The attendee's name.emailstring— The attendee's email address.
createdstring— The moment the scheduled event was created.end_date_timestring— The scheduled event's end date and time.event_idstring— The unique identifier of the event.external_locationobject— The meeting details in the scheduled event.guestsarray— The collection of guests.Items: string— The guest's email address.invitee_countersobject— The event's guest counters.activeinteger, format:int64— The count of active invitees in the event.limitinteger, format:int64— The maximum limit of invitees in the event.totalinteger, format:int64— The total count of invitees in the event.
locationobjectlocation_kindstring, possible values:"custom", "in-person_meeting", "outbound_call", "inbound_call", "invitee_specified", "zoom", "google_meet", "microsoft_teams"— Unified location type for both location and external_location objects. If location type is online meeting, location info is in external_location object. If not, location info is in location object.meeting_notesstring— The meeting notes for the scheduled event.start_date_timestring— The scheduled event's start date and time.statusstring, possible values:"confirmed", "cancelled"— The status of the event: confirmed or cancelled.summarystring— The name of the schedule.updatedstring— The moment the scheduled event was updated.
text_phone_numberstring— The phone number of the invitee to receive text reminders.time_zonestring— The user's time zone.trackingobject— The information to track the source of the invitee.salesforce_idsarray— The tracking of Salesforce IDs.Items: utm_campaignstring— This field identifies a specific product promotion or strategic campaign.utm_contentstring— This field identifies what specifically was clicked to bring the user to the site, such as a banner ad or a text link. It is often used for A/B testing and content-targeted ads.utm_mediumstring— This field identifies what type of link was used, such as pay-per-click or email.utm_sourcestring— This field identifies which site sent the traffic, and is a required parameter.utm_termstring— This field identifies search terms.
user_idstring— The user ID of the scheduled event host.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"user_id": "",
"object": {
"invitee_email": "example@example.com",
"invitee_first_name": "John",
"invitee_last_name": "Doe",
"invitee_id": "61mzpk6irznpqc5yfkcnafyse7",
"rescheduled_to_event_id": "t36axo1tnxvyte5w35x4zht964",
"rescheduled_to_invitee_id": "t36axo1tnxvyte5w35x4zht964",
"manage_url": "https://scheduler.zoom.us/manage/m0o1uf25uq89wllenxxxxxxxxxxxx",
"cancellation": {
"canceled_by": "aa@bb.c",
"canceler_type": "host",
"cancel_at": "2023-12-21T16:30:00+08:00",
"reason": "Time conflict"
},
"time_zone": "Asia/Shanghai",
"questions_and_answers": [
{
"question": "Please share anything that will help prepare for our meeting.",
"position": 1,
"answer": [
""
]
}
],
"scheduled_event": {
"event_id": "woft7torlatbw8ek24bmit5k60",
"attendees": [
{
"display_name": "bob",
"email": "abc@zoom.us"
}
],
"invitee_counters": {
"total": 1,
"active": 1,
"limit": 1
},
"end_date_time": "2023-12-21T16:30:00Z",
"guests": [
"tom@zoom.us"
],
"location_kind": "zoom",
"external_location": {
"kind": "zoom",
"meeting_id": "94777886776",
"personal_meeting_id": "98656786887",
"meeting_passcode": "958000",
"meeting_description": "Invite you to meeting",
"meeting_join_url": "https://zoom.us/j/7427752805"
},
"start_date_time": "2023-12-21T16:00:00Z",
"status": "confirmed",
"summary": "daily meeting",
"updated": "2023-12-21T06:18:32.087Z",
"created": "2023-12-21T06:18:32.087Z",
"meeting_notes": "meeting notes"
},
"tracking": {
"utm_source": "zoom",
"utm_medium": "pay-per-clik",
"utm_campaign": "spring_sale",
"utm_content": "schedule link",
"utm_term": "learning",
"salesforce_ids": [
{}
]
},
"rescheduled": true,
"created": "2023-12-21T06:18:32.087Z",
"text_phone_number": "+1 83798773"
}
}
}